Package com.macrofocus.properties.swing

# Class PropertySpinnerModel

java.lang.Object
javax.swing.AbstractSpinnerModel
javax.swing.SpinnerNumberModel
com.macrofocus.properties.swing.PropertySpinnerModel

All Implemented Interfaces:
  `Serializable`, `SpinnerModel`

public class PropertySpinnerModel extends SpinnerNumberModel

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractSpinnerModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertySpinnerModel(MutableProperty property)`
  `PropertySpinnerModel(MutableProperty property, Number stepSize, Number min, Number max)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparable`
  `getMaximum()`
  `Comparable`
  `getMinimum()`
  `Object`
  `getNextValue()`
  `Object`
  `getPreviousValue()`
  `Number`
  `getStepSize()`
  `Object`
  `getValue()`
  `void`
  `setProperty(MutableProperty property)`
  `void`
  `setStepSize(Number stepSize)`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class javax.swing.SpinnerNumberModel

  `getNumber, setMaximum, setMinimum`

  ### Methods inherited from class javax.swing.AbstractSpinnerModel

  `addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertySpinnerModel

    public PropertySpinnerModel(MutableProperty property)

  - ### PropertySpinnerModel

    public PropertySpinnerModel(MutableProperty property, Number stepSize, Number min, Number max)

- ## Method Details

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `SpinnerModel`
    Overrides:
      `getValue` in class `SpinnerNumberModel`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `SpinnerModel`
    Overrides:
      `setValue` in class `SpinnerNumberModel`

  - ### getStepSize

    public Number getStepSize()
    Overrides:
      `getStepSize` in class `SpinnerNumberModel`

  - ### setStepSize

    public void setStepSize(Number stepSize)
    Overrides:
      `setStepSize` in class `SpinnerNumberModel`

  - ### getMinimum

    public Comparable getMinimum()
    Overrides:
      `getMinimum` in class `SpinnerNumberModel`

  - ### getMaximum

    public Comparable getMaximum()
    Overrides:
      `getMaximum` in class `SpinnerNumberModel`

  - ### getNextValue

    public Object getNextValue()
    Specified by:
      `getNextValue` in interface `SpinnerModel`
    Overrides:
      `getNextValue` in class `SpinnerNumberModel`

  - ### getPreviousValue

    public Object getPreviousValue()
    Specified by:
      `getPreviousValue` in interface `SpinnerModel`
    Overrides:
      `getPreviousValue` in class `SpinnerNumberModel`

  - ### setProperty

    public void setProperty(MutableProperty property)